<template>
    <Line :data="data" :options="options" />
</template>

<script>
import { Chart as ChartJS, Title, Tooltip, Legend, BarElement, CategoryScale, LinearScale } from 'chart.js'
import { Line } from 'vue-chartjs'
// eslint-disable-next-line
import * as chartConfig from './chartConfig.js'

ChartJS.register(CategoryScale, LinearScale, BarElement, Title, Tooltip, Legend)

export default {
    components: {
        Line,
    },
    data() {
        return chartConfig
        // return {
        //     data: {
        //         labels: ['January', 'February', 'March'],
        //         datasets: [{ data: [40, 20, 12] }],
        //     },
        //     options: {
        //         responsive: true,
        //         maintainAspectRatio: false,
        //     },
        //     ...chartConfig,
        // }
    },
}
</script>
